This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 803047 - [abrt] xfwm4-4.8.3-1.fc16: strcmp: Process /usr/bin/xfwm4 was killed by signal 11 (SIGSEGV)
[abrt] xfwm4-4.8.3-1.fc16: strcmp: Process /usr/bin/xfwm4 was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:061f64e2cab888035a4642e7826...
:
: 735741 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 16:33 EDT by coharp
Modified: 2013-02-13 20:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:39:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (5.20 KB, text/plain)
2012-03-13 16:33 EDT, coharp
no flags Details
File: maps (26.81 KB, text/plain)
2012-03-13 16:33 EDT, coharp
no flags Details
File: backtrace (62.83 KB, text/plain)
2012-03-13 16:33 EDT, coharp
no flags Details

  None (edit)
Description coharp 2012-03-13 16:33:14 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 20bdb0164-59c8-428a-911c-a89b67228b6e
crash_function: strcmp
executable:     /usr/bin/xfwm4
kernel:         3.2.9-1.fc16.x86_64
pid:            1640
pwd:            /home/coharper
reason:         Process /usr/bin/xfwm4 was killed by signal 11 (SIGSEGV)
time:           Tue 13 Mar 2012 02:09:20 PM EDT
uid:            1000
username:       coharper

backtrace:      Text file, 64337 bytes
dso_list:       Text file, 5325 bytes
maps:           Text file, 27455 bytes

build_ids:
:30158c0604046a3deb03f004ed33f0fa527e78dc
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:2976a5f82b01d5dedaaefdd41fa7a78b090c75a1
:8c511026711542c8bc294329d1bf0bd72c8260f7
:c90d4b437b361672ec29f8c6b94c2a5911e8f670
:1c6a95451ee19617be5abea3d121f0226d21ddda
:d0c6e13f00a20952a72a945c929efb175fd760e3
:4b01fe6e705219deca2756ff0720d52ec81b4c87
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f0d50e3af2dfee021a327fb85a993a2312a98145
:638db099ff5fb986d1a092629d1bb1dca5be4904
:e5429e0905bedecc534b057783916ba43e06a66e
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:dfac5b2be9b5b3406942ddeb3beac79f4ad3a70e
:12ebe599358398f2c1a5294bb2dd387545474b65
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:25b834f4c4dc534708635ff1064e2fe02a366a62
:4953d1f613914126bccceb3cb96386647ffba9df
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:8631fa022a75e4bfbd78f96ad368f88456e39cfe
:58f626f3815dd6adeb4a543bca2472ab98f2953b
:56cd5a4b8ecf7f375c95a4fd575895efbe294071
:91709dc7083204ddd936d5ad28c171985f06f66c
:4b4285058f7f6b39b7e7c45df83fd36c6833bfe4
:163b323da65b708418226eb5fa8b057c731d1475
:dacf32a9a2f2b5077ba944e7b835cca6f637f78f
:4c842320387ff7f6f91b7842b223c16518be909f
:e2e67b3ae2579e1667b73ad385f61552931024e9
:9523adec86a142d4e4521da1cabb80c64c5fbad7
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:b9d3a4213a482d034bebc7dc1ed2901a734a894d
:ee2f04900ae1f07517d91eba300ef385fccab1b8
:be507c791e34415e8f42f0e6030c889b2895cf9a
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:07470201df55a5254027d05fa4dc509b10f2986a
:0fe03f2aa418c7dbfdc2d0d1802a8e86b27d3120
:e2d68a0ee0872365dcc8c6640b7cd7b94c8276f2
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:c5e777db418e7b567423c9ee00a707a172a7f824
:040f78c63e49df93936f710287bdc74ae83111c0
:2611a6dc740c63b1f7c79cdad280f8737efd7648
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:3269336f76283d9cebaa8222e0017c80fd14bdf6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:b038838c10d38141b6ec19b40168be9caaa78286
:82cca0d5b06a649072a966dc4f05aded63d736bc
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:48aea888319e1848137073c9cbde54a4c2a731c9
:1a212c7f1515542b310ba92f6109efc9b5bf2b6e
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1605
:HOSTNAME=Parasite-VirtualBox.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/coharper/.gnupg/S.gpg-agent:1626:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=97faff8400ed3d908acf96be00000009-1331641802.937086-34987210
:GNOME_KEYRING_CONTROL=/tmp/keyring-eOn4f5
:IMSETTINGS_MODULE=none
:USER=coharper
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-jrvPneQe1432/agent.1432
:USERNAME=coharper
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/coharper
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/coharper/.local/bin:/home/coharper/bin
:QT_IM_MODULE=xim
:PWD=/home/coharper
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1428
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/coharper
:LOGNAME=coharper
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-49zT8kncgE,guid=ab774cb16c93052e40e0892a00000070
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/coharper
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-coharper-qg0jz7/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1635,unix/unix:/tmp/.ICE-unix/1635

smolt_data:
:
:
:General
:=================================
:UUID: a14c2013-03d2-4a74-9dec-edda3df280ab
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6127.20
:CPU Vendor: AuthenticAMD
:CPU Model: AMD FX(tm)-8120 Eight-Core Processor
:CPU Stepping: 2
:CPU Family: 21
:CPU Model Num: 1
:Number of CPUs: 2
:CPU Speed: 3063
:System Memory: 3955
:System Swap: 6015
:Vendor: innotek GmbH
:System: VirtualBox 1.2
:Form factor: Unknown
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4203:63:0:0) pci, ohci_hcd, USB, KeyLargo/Intrepid USB
:(32902:10281:0:0) pci, ahci, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller
:(33006:48879:0:0) pci, None, VIDEO, VirtualBox Graphics Adapter
:(32902:28947:0:0) pci, None, BRIDGE, 82371AB/EB/MB PIIX4 ACPI
:(32902:4110:32902:30) pci, e1000, ETHERNET, PRO/1000 MT Desktop Adapter
:(33006:51966:0:0) pci, None, BASE, VirtualBox Guest Service
:(32902:4663:0:0) pci, None, HOST/PCI, 440FX - 82441FX PMC [Natoma]
:(32902:9237:32902:0) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801AA AC'97 Audio Controller
:(32902:28945:0:0) pci, ata_piix, STORAGE, 82371AB/EB/MB PIIX4 IDE
:(32902:28672:0:0) pci, None, PCI/ISA, 82371SB PIIX3 ISA [Natoma/Triton II]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_parasitevirtualbox-lv_root / ext4 4096 4096 7494790 3729097 3654079 1875968 1654805 1654805
:/dev/sda2 /boot ext4 1024 1024 508745 411582 385982 128016 127780 127780
:

var_log_messages:
:Mar 13 14:09:20 Parasite-VirtualBox kernel: [ 8042.462946] xfwm4[1640]: segfault at 0 ip 00000036d3536d66 sp 00007fff0a34f078 error 4 in libc-2.14.90.so[36d3400000+1ad000]
:Mar 13 14:09:20 Parasite-VirtualBox abrt[11554]: Saved core dump of pid 1640 (/usr/bin/xfwm4) to /var/spool/abrt/ccpp-2012-03-13-14:09:20-1640 (4079616 bytes)
Comment 1 coharp 2012-03-13 16:33:17 EDT
Created attachment 569785 [details]
File: dso_list
Comment 2 coharp 2012-03-13 16:33:19 EDT
Created attachment 569786 [details]
File: maps
Comment 3 coharp 2012-03-13 16:33:21 EDT
Created attachment 569787 [details]
File: backtrace
Comment 4 Kevin Fenzi 2012-03-13 18:10:02 EDT
What were you doing when this happened? Can you duplicate it?
Comment 5 abrt-bot 2012-03-30 11:13:15 EDT
*** Bug 735741 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-01-16 18:15:31 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Mario Blättermann 2013-01-21 12:31:49 EST
I don't know what happened. After login, I get this message, but xfwm4 seems to work normally.

backtrace_rating: 4
Package: xfwm4-4.10.0-5.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 Fedora End Of Life 2013-02-13 20:39:42 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.